//draw a curve:
int[] curve;
int index = 0;

public void setup()
{
    fullScreen();  //full screen view
    frameRate(30);  //draw called 3 times per second
    orientation(LANDSCAPE); //on Android device displayed in landscape not portrait
    
    curve = new int[width/5];
}

float r = 3.5;
//float r = 3.8;
//float r = 3.98;

float y_old = 0.56;
float y_new = 0.0;
int value=0;


public void draw()
{
    background(100,100,255);  //background light blue
  
    y_new = r*y_old*(1.0 - y_old);
    y_old = y_new;

    value = (int)(100.0*y_new);


    println("Chaos value: "+value); //show value on PC terminal 

    fill(255,0,0); //text color red
    textSize(60);  //font size 60pt
    text("Chaos value: "+value,50,50); //show value on the screen

    //drawing a curve:
    curve[index%curve.length] = value;
    
    stroke(0);
    int MAX = index;
    if(index>curve.length)
        MAX=curve.length;
    int start_x = width - 5*MAX;
    for(int i=1;i<MAX;i++)
    {
         line(start_x+(i-1)*5,height - (curve[(index+(i-1))%curve.length]*height)/100,
              start_x+(i)*5,height - (curve[(index+(i))%curve.length]*height)/100);
    }
    index++;
}